Subject: Ticket Assigned - Delivery
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Sat, 01 Jan 2022 18:38:22 +0000

Hi Abdulqader Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery We are really disappointed with the service provided by Centrepoint. We ordered the Henri baby crib and accessories from Mirdif city center branch which were supposed to be delivered yesterday on Dec 27th. There’s no SMS or calls received regarding our delivery.
When I called the customer helpline, they’ve asked me to visit the branch again to track my order and they cannot help me. I’m in my last weeks of pregnancy and I’m asked to drive one hour from furjan to mirdif to track my order- this should’ve been told to us when spending AED 1000 that there will be no support received and delivery will be done as per Centrepoint convenience. 
Really disappointed with this kind of pathetic approach and service from Centrepoint and will definitely reconsider ordering anything. Might as well close the branches in the malls if there’s no option to contact for support. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3678174